# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(POSIX.pm) perl(Time/HiRes.pm) perl(XML/NamespaceSupport.pm) perl(XML/SAX.pm) perl(XML/SAX/Base.pm) perl(XML/SAX/Expat.pm) perl(XML/SAX/PurePerl.pm) perl(XML/SAX/Writer.pm)
# END SourceDeps(oneline)
%define module_version 0.43
%define module_name XML-STX
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.43
Release: alt2
Summary: a pure Perl STX processor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PC/PCIMPRICH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
XML::STX is a pure Perl implementation of STX processor. Streaming 
Transformations for XML (STX) is a one-pass transformation language for 
XML documents that builds on the Simple API for XML (SAX). See 
http://stx.sourceforge.net/ for more details.

Dependencies: XML::SAX, XML::NamespaceSupport and Clone.

The current version is unstable.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%_bindir/stxview.pl
rm -f %buildroot%perl_vendor_privlib/XML/stxview.pl

%files
%doc Changes README doc examples
%perl_vendor_privlib/X*

%files scripts
%_bindir/*

%changelog
* Fri Mar 08 2019 Cronbuild Service <cronbuild@altlinux.org> 0.43-alt2
- build w/o gtk1

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1
- initial import by package builder

